Index: src/sas/perspectives/fitting/basepage.py
===================================================================
--- src/sas/perspectives/fitting/basepage.py	(revision 5ce7f17e66dc0bd0cabff37dedf011bc6ec0a929)
+++ src/sas/perspectives/fitting/basepage.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -98,6 +98,4 @@
         self.npts = None
         self.num_points = None
-        ## default fitengine type
-        self.engine_type = 'bumps'
         ## smear default
         self.current_smearer = None
@@ -947,5 +945,4 @@
         Store current state
         """
-        self.state.engine_type = copy.deepcopy(self.engine_type)
         ## save model option
         if self.model != None:
@@ -1045,6 +1042,4 @@
             self.state.disp_list = copy.deepcopy(self.disp_list)
             self.state.model = self.model.clone()
-        if hasattr(self, "engine_type"):
-            self.state.engine_type = copy.deepcopy(self.engine_type)
 
         self.state.enable2D = copy.deepcopy(self.enable2D)
@@ -1299,5 +1294,4 @@
             # Backward compatibility (for older state files)
             self.magnetic_on = False
-        self.engine_type = state.engine_type
 
         self.disp_cb_dict = state.disp_cb_dict
@@ -1355,7 +1349,5 @@
             self.multifactorbox.SetSelection(state.multi_factor)
 
-        #reset the fitting engine type
-        self.engine_type = state.engine_type
-        #draw the pnael according to the new model parameter
+        #draw the panel according to the new model parameter
         self._on_select_model(event=None)
 
Index: src/sas/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/perspectives/fitting/fitpage.py	(revision 682c432d9d62b6579bcdee8cedf8793d5d84f77b)
+++ src/sas/perspectives/fitting/fitpage.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -183,19 +183,4 @@
             return True
         return False
-
-    def _on_engine_change(self, name):
-        """
-        get the current name of the fit engine type
-         and update the panel accordingly
-        """
-
-        self.engine_type = str(name)
-        self.state.engine_type = self.engine_type
-        if not self.is_mac:
-            if len(self.parameters) == 0:
-                self.Layout()
-                return
-            self.Layout()
-            self.Refresh()
 
     def _fill_range_sizer(self):
@@ -2834,7 +2819,4 @@
             self.SetupScrolling()
             return
-        ## the panel is drawn using the current value of the fit engine
-        if self.engine_type == None and self._manager != None:
-            self.engine_type = self._manager._return_engine_type()
 
         box_description = wx.StaticBox(self, -1, str("Model Parameters"))
Index: src/sas/perspectives/fitting/fitpanel.py
===================================================================
--- src/sas/perspectives/fitting/fitpanel.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
+++ src/sas/perspectives/fitting/fitpanel.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -64,5 +64,4 @@
         self.sim_page = None
         self.batch_page = None
-        self.fit_engine_type = "bumps"
         ## get the state of a page
         self.Bind(basepage.EVT_PAGE_INFO, self._onGetstate)
Index: src/sas/perspectives/fitting/fitting.py
===================================================================
--- src/sas/perspectives/fitting/fitting.py	(revision a3f125f0f3c4ff6ed01529da503fbdd5ccb23b14)
+++ src/sas/perspectives/fitting/fitting.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -32,5 +32,5 @@
 from sas.guiframe.plugin_base import PluginBase
 from sas.guiframe.data_processor import BatchCell
-from sas.fit.Fitting import Fit
+from sas.fit.BumpsFitting import BumpsFit as Fit
 from sas.perspectives.fitting.console import ConsoleUpdate
 from sas.perspectives.fitting.fitproblem import FitProblemDictionary
@@ -84,7 +84,4 @@
         ## dictionary of page closed and id
         self.closed_page_dict = {}
-        ## Fit engine
-        self._fit_engine = 'bumps'
-        self._gui_engine = None
         ## Relative error desired in the sum of squares (float)
         self.batch_reset_flag = True
@@ -751,5 +748,5 @@
     def stop_fit(self, uid):
         """
-        Stop the fit engine
+        Stop the fit
         """
         if uid in self.fit_thread_list.keys():
@@ -877,5 +874,5 @@
         """
         Get series of data, model, associates parameters and range and send then
-        to  series of fit engines. Fit data and model, display result to
+        to  series of fitters. Fit data and model, display result to
         corresponding panels.
         :param uid: id related to the panel currently calling this fit function.
@@ -896,6 +893,6 @@
         sim_fitter = None
         if fit_type == 'simultaneous':
-            #simulatanous fit only one engine need to be created
-            sim_fitter = Fit(self._fit_engine)
+            # for simultaneous fitting only one fitter is needed
+            sim_fitter = Fit()
             sim_fitter.fitter_id = self.sim_page.uid
             fitter_list.append(sim_fitter)
@@ -936,5 +933,5 @@
                     for fitproblem in  fitproblem_list:
                         if sim_fitter is None:
-                            fitter = Fit(self._fit_engine)
+                            fitter = Fit()
                             fitter.fitter_id = page_id
                             fitter_list.append(fitter)
@@ -965,5 +962,5 @@
         wx.PostEvent(self.parent, StatusEvent(status=msg, type="progress"))
 
-        #Handler used for fit engine displayed message
+        #Handler used to display fit message
         handler = ConsoleUpdate(parent=self.parent,
                                 manager=self,
@@ -1148,8 +1145,5 @@
     def _add_problem_to_fit(self, fitproblem, pars, fitter, fit_id):
         """
-        Create and set fit engine with series of data and model
-        :param pars: list of fittable parameters
-        :param fitter_list: list of fit engine
-        :param value:  structure storing data mapped to their model, range etc.
+        Create and set fitter with series of data and model
         """
         data = fitproblem.get_fit_data()
@@ -1207,5 +1201,5 @@
         """
         Display fit result in batch
-        :param result: list of objects received fromt fit engines
+        :param result: list of objects received from fitters
         :param pars: list of  fitted parameters names
         :param page_id: list of page ids which called fit function
@@ -1308,6 +1302,6 @@
                             batch_inputs["error on %s" % str(param)].append(ERROR)
                 else:
-                    # ToDo: Why sometimes res.pvec comes with numpy.float64?
-                    # Need to fix it within ScipyEngine
+                    # TODO: Why sometimes res.pvec comes with numpy.float64?
+                    # probably from scipy lmfit
                     if res.pvec.__class__ == numpy.float64:
                         res.pvec = [res.pvec]
@@ -1921,5 +1915,5 @@
                 dy = numpy.ones(len(data_copy.y))
             else:
-                ## Set consitently w/AbstractFitengine:
+                ## Set consistently w/AbstractFitengine:
                 # But this should be corrected later.
                 dy = deepcopy(data_copy.dy)
Index: src/sas/perspectives/fitting/pagestate.py
===================================================================
--- src/sas/perspectives/fitting/pagestate.py	(revision b1e609ca834eecc046b6eb8e62b71cc3d6836498)
+++ src/sas/perspectives/fitting/pagestate.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -42,6 +42,5 @@
                            ["name", "name", "string"],
                            ["data_name", "data_name", "string"]]
-LIST_OF_STATE_ATTRIBUTES = [["engine_type", "engine_type", "string"],
-                            ["qmin", "qmin", "float"],
+LIST_OF_STATE_ATTRIBUTES = [["qmin", "qmin", "float"],
                             ["qmax", "qmax", "float"],
                             ["npts", "npts", "float"],
@@ -173,6 +172,4 @@
         self.reset = False
 
-        #engine type
-        self.engine_type = None
         # flag to allow data2D plot
         self.enable2D = False
@@ -288,5 +285,4 @@
         obj.is_data = self.is_data
         obj.model_list_box = copy.deepcopy(self.model_list_box)
-        obj.engine_type = copy.deepcopy(self.engine_type)
 
         obj.categorycombobox = self.categorycombobox
Index: src/sas/perspectives/fitting/simfitpage.py
===================================================================
--- src/sas/perspectives/fitting/simfitpage.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
+++ src/sas/perspectives/fitting/simfitpage.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -152,5 +152,4 @@
 
         ## making sure all parameters content a constraint
-        ## validity of the constraint expression is own by fit engine
         if not self.batch_on and self.show_constraint.GetValue():
             if not self._set_constraint():
